VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::OperationResultInfo Class Reference

The `OperationResultInfo` class contains the metamodel information of an operation result element. More...

List of all members.

## Public Member Functions
| OperationResultInfo ()
| Creates a default new instance.
vmware.vapi.metadata.metamodel.Type | Get_Type ()
| Type information of the operation result element.
void | SetType (vmware.vapi.metadata.metamodel.Type type)
| Type information of the operation result element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ElementMap > | GetMetadata ()
| Generic metadata elements for the service element.
void | SetMetadata (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > metadata)
| Generic metadata elements for the service element.
string | GetDocumentation ()
| English language documentation for the operation result element.
void | SetDocumentation (string documentation)
| English language documentation for the operation result element.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `OperationResultInfo` class contains the metamodel information of an operation result element.

An operation accepts a list of parameters and returns a result or an error. The `OperationResultInfo` describes the result element of an operation.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::OperationResultInfo::OperationResultInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::OperationResultInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::OperationResultInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::OperationResultInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::OperationResultInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::OperationResultInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::OperationResultInfo::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.metadata.metamodel.Type vmware::vapi::metadata::metamodel::OperationResultInfo::Get_Type | ( |  | ) | `[inline]`

Type information of the operation result element.

string vmware::vapi::metadata::metamodel::OperationResultInfo::GetDocumentation | ( |  | ) | `[inline]`

English language documentation for the operation result element.

It can contain HTML markup and Javadoc tags.

override int vmware::vapi::metadata::metamodel::OperationResultInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ElementMap> vmware::vapi::metadata::metamodel::OperationResultInfo::GetMetadata | ( |  | ) | `[inline]`

Generic metadata elements for the service element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

void vmware::vapi::metadata::metamodel::OperationResultInfo::SetDocumentation | ( | string | documentation | ) | `[inline]`

English language documentation for the operation result element.

It can contain HTML markup and Javadoc tags.

void vmware::vapi::metadata::metamodel::OperationResultInfo::SetMetadata | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > | metadata | ) | `[inline]`

Generic metadata elements for the service element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

void vmware::vapi::metadata::metamodel::OperationResultInfo::SetType | ( | vmware.vapi.metadata.metamodel.Type | type | ) | `[inline]`

Type information of the operation result element.

override string vmware::vapi::metadata::metamodel::OperationResultInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- OperationResultInfo.cs